Package org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTUsingDeclaration

All Superinterfaces:
  `IASTAttributeOwner`, `IASTDeclaration`, `IASTImplicitNameOwner`, `IASTNameOwner`, `IASTNode`

    public interface ICPPASTUsingDeclaration
    extends IASTDeclaration, IASTNameOwner, IASTAttributeOwner, IASTImplicitNameOwner

This interface represents a using declaration.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `NAME` `NAME` is the qualified name brought into scope.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclaration

`EMPTY_DECLARATION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitNameOwner

`IMPLICIT_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`r_declaration, r_definition, r_reference, r_unclear`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPASTUsingDeclaration` `copy()` Returns a mutable copy of the tree rooted at this node.
`ICPPASTUsingDeclaration` `copy​(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`IASTName` `getName()` Get the name.
`boolean` `isTypename()` Set that the typename keyword was/wasn't used.
`void` `setIsTypename​(boolean value)` Was the typename keyword used?
`void` `setName​(IASTName name)` Set the name.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitNameOwner

`getImplicitNames`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`getRoleForName`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### NAME

    static final ASTNodeProperty NAME

`NAME` is the qualified name brought into scope.

### Method Detail

#### setIsTypename

    void setIsTypename​(boolean value)

Was the typename keyword used?

Parameters:
  `value` - boolean

#### isTypename

    boolean isTypename()

Set that the typename keyword was/wasn't used.

Returns:
  boolean

#### getName

    IASTName getName()

Get the name.

Returns:
  `IASTName`

#### setName

    void setName​(IASTName name)

Set the name.

Parameters:
  `name` - `IASTName`

#### copy

    ICPPASTUsingDeclaration copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTDeclaration`
Specified by:
  `copy` in interface `IASTNode`
Since:
  5.1

#### copy

    ICPPASTUsingDeclaration copy​(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTDeclaration`
Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3